import { DOMWidgetView } from '@jupyter-widgets/base';
import * as d3 from 'd3';
export declare function deepCopy(obj: any): any;
export declare function convert_dates(value: any): any;
export declare function getCustomRange(array: any): d3.ScaleLinear<number, number>[];
export declare function is_valid_time_format(format: any): boolean;
export declare function is_array(x: any): any;
export declare function getDate(elem: undefined | null | number | string): Date | null;
export declare function applyStyles(d3el: any, styles: any): any;
export declare function applyAttrs(d3el: any, styles: any): any;
export declare function d3GetEvent(): any;
export declare function getLuminoWidget(ipywidget: DOMWidgetView): import("@lumino/widgets").Widget;
export declare function getEffectiveBackgroundColor(element: any): any;
